http://auditmanager.{region}.amazonaws.com/assessments/{assessmentId}/controlSets/{controlSetId}/controls/{controlId}Updates a control within an assessment in Audit Manager.
The unique identifier for the assessment.
The unique identifier for the control set.
The unique identifier for the control.
The comment body text for the control.
The status of the control.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://auditmanager.{region}.amazonaws.com/assessments/{assessmentId}/controlSets/{controlSetId}/controls/{controlId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://auditmanager.{region}.amazonaws.com/assessments/{assessmentId}/controlSets/{controlSetId}/controls/{controlId}Updates a control within an assessment in Audit Manager.
The unique identifier for the assessment.
The unique identifier for the control set.
The unique identifier for the control.
The comment body text for the control.
The status of the control.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://auditmanager.{region}.amazonaws.com/assessments/{assessmentId}/controlSets/{controlSetId}/controls/{controlId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}